<?php
// Подключение к базе данных (замените на свои данные)
$servername = "localhost";
$username = "k123263_sender_u";
$password = "84ms232e96aothgvw1";
$dbname = "k123263_sender";

// Создание соединения с базой данных
$conn = new mysqli($servername, $username, $password, $dbname);

// Проверка соединения
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Получение параметров из URL-адреса
$recipient_id = $_GET['recipient_id'];
$url = $_GET['url'];

// Запись в базу данных о клике
$sql = "INSERT INTO email_click_tracking (email_id, url, click_time) VALUES ('$recipient_id', '$url', NOW())";

if ($conn->query($sql) === TRUE) {
    // Проверяем, не пустой ли URL
    if (!empty($url)) {
        // Перенаправление пользователя на целевую страницу
        header("Location: $url");
        exit;
    } else {
        // В случае пустого URL выводим сообщение об ошибке
        echo "URL is empty!";
    }
} else {
    // Обработка ошибки
    echo "Error: " . $sql . "<br>" . $conn->error;
}


$conn->close();
?>
